# $Revision: 1.21 $, $Date: 2002/11/11 03:27:50 $
Summary:	An X Window System color version of xhextris
Summary(de):	Farbige X11-Version von Hextris
Summary(fr):	Version X11 en couleurs d'hextris
Summary(pl):	Kolorowa wersja gry xhextris pod X Window
Summary(ru):	  hextris  X11
Summary(tr):	Den bloklar yerletirme oyunu
Summary(uk):	 Ӧ hextris  X11
Name:		cxhextris
Version:	1.0
Release:	25
License:	distributable
Group:		X11/Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/%{name}.tar.z
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-config.patch
Patch1:		%{name}-axp.patch
Patch2:		%{name}-security.patch
Icon:		cxhextris.xpm
Prereq:		/usr/X11R6/bin/mkfontdir
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
CXHextris is a color version of the popular xhextris game, which is a
Tetris-like game that uses hexagon shapes instead of square shapes.
CXHextris runs within the X Window System.

Install cxhextris if you enjoy playing Tetris or Tetris-like games and
you'd like to play one on your system. You'll need to have X installed
in order to play CXHextris.

%description -l de
cxhextrix ist eine Farbversion des populren hextris, beides nahe
Verwandte des klassischen T*tris Video-Games, bei dem unregelmig
geformte Blcke perfekt aufeinander gestapelt werden mssen.
Voraussetzung ist, da X-Windows korrekt funktioniert.

%description -l fr
cxhextrix est une version en couleurs du clbre hextris. Tous deux
sont des clones du clbre jeu vido T*tris, o l'on doit essayer
d'empiler parfaitement des blocs avec des formes curieuses. Ce jeu
ncessite X Window pour fonctionner correctement.

%description -l pl
CXHextris jest kolorow wersj popularnej gry xhextris, bdcej klonem
Tetrisa uywajcym szeciobocznych figur zamiast kwadratowych.
CXHextris uruchamia si w rodowisku X Window.

Naley zainstalowa CXHextris jeli lubi si gry w rodzaju Tetris. Aby
mc gra w CXHextris naley mie zainstalowane X Window.

%description -l ru
CXHextris -      xhextris, 
 Tetris- ,   
.       X Window.

%description -l tr
cxhextrix, hextris'in renkli srmdr. Her ikisi de, garip ekilli
bloklarn - arada boluk braklmadan - bir yn haline getirilmeye
alld Tetris oyununa benzer.

%description -l uk
CXHextris -   Ӧ ϧ  xhextris,  Ħ
 Tetris,  դ  ͦ Ԧ.  
դ X Window.

%prep
%setup -q -n cxhextris
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/share/fonts/misc,%{_applnkdir}/Games/Arcade,%{_datadir}/pixmaps}

%{__make} DESTDIR=$RPM_BUILD_ROOT install install.man

%{__make} FONTDIR=$RPM_BUILD_ROOT%{_fontsdir} install.font

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd /usr/share/fonts/misc; /usr/X11R6/bin/mkfontdir)

%postun
(cd /usr/share/fonts/misc; /usr/X11R6/bin/mkfontdir)

%files
%defattr(644,root,root,755)
%doc README README.Linux
%attr(2755,root,games) %{_bindir}/xhextris
%{_fontsdir}/misc/hex20.pcf
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/xhextris-scores
%{_applnkdir}/Games/Arcade/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cxhextris.spec,v $
Revision 1.21  2002/11/11 03:27:50  ankry
- moved desktop to Games/Arcade/; rel. 25

Revision 1.20  2002/10/10 13:04:40  marcus
- use new %%doc

Revision 1.19  2002/04/25 16:08:52  arturs
fixed a small typo

Revision 1.18  2002/02/27 07:29:48  kloczek
- merge translations from KSI.

Revision 1.17  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/15 22:37:20  qboosh
- release 24: marked score file with config and verify tags

Revision 1.14  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/03 22:11:38  qboosh
- BuildRequires: XFree86-devel

Revision 1.12  2001/11/03 09:07:25  qboosh
- FHS 2.1/2.2: changed config patch - /var/lib/games -> /var/games
- release 23

Revision 1.11  2001/05/02 02:43:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.9  2000/06/23 00:26:48  kloczek
- release 22,
- wmconfig file replaced by desktop file,
- added package icon,
- merged de, fr, tr translations from BeroLinux,
- added pl Summary,
- added using $RPM_OPT_FLAGS in compile flags,
- font file moved to /usr/share/font/misc,
- added gzipping %doc,
- suid games replaced by sgid games.

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 11:10:59  arturs
typo

Revision 1.2  2000/03/27 14:43:18  arturs
- added %description -l pl

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 15)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- fixed the wmconfig entry

* Sat May  2 1998 Alan Cox <alan@redhat.com>
- buffer overrun fixed. General restructure to avoid running setuid except
  during the first moments of initialisation.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
